/*static char *SCCSID = "src/dev/dasd/ibm/ibm1s506/cmdproto.h, idsk, basedd, initial 93/03/18";*/
/**************************************************************************
 *
 * SOURCE FILE NAME =  CMDPROTO.H
 *
 * DESCRIPTIVE NAME =  IBM1S506.ADD - Adapter Driver for ST506/IDE DASD
 *
 *
 * Copyright : COPYRIGHT IBM CORPORATION, 1991, 1992
 *             LICENSED MATERIAL - PROGRAM PROPERTY OF IBM
 *             REFER TO COPYRIGHT INSTRUCTION FORM#G120-2083
 *             RESTRICTED MATERIALS OF IBM
 *             IBM CONFIDENTIAL
 *
 * VERSION = V2.0
 *
 * DATE
 *
 * DESCRIPTION : C prototypes for Command Parser internal functions
 *
 * Purpose:
 *
 *
 *
 *
 *
 * CHANGE ACTIVITY =
 *   DATE      FLAG        APAR   CHANGE DESCRIPTION
 *   --------  ----------  -----  --------------------------------------
 *   mm/dd/yy  @Vnnnnn     XXXXX  XXXXXXX
 *
 ****************************************************************************/


/*  Command_Parser local function - PROTOTYPES  */

#ifndef STATIC
  #define STATIC static
#endif

STATIC VOID   NEAR Insert_End_Token();
STATIC BOOL   NEAR Locate_First_Slash();
BOOL          NEAR Parse_Option_Value();
STATIC VOID   NEAR Skip_Over_Blanks();
STATIC VOID   NEAR char_parser();
STATIC BOOL   NEAR Insert_Token();
/*STATIC*/ BOOL   NEAR Locate_Next_Slash();
STATIC BOOL   NEAR Validate_State_Index(USHORT);
BOOL NEAR strncmp(CHAR FAR *s1,CHAR FAR *s2,INT n);
INT  NEAR strglen(CHAR FAR *s);
